Summary:        Interface to Bzip2 compression library
Name:           perl-Compress-Bzip2
Version:        2.28
Release:        7%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Compress-Bzip2
Source0:        https://cpan.metacpan.org/authors/id/R/RU/RURBAN/Compress-Bzip2-%{version}.tar.gz

BuildRequires:  coreutils findutils gcc make perl-devel
BuildRequires:  perl-generators bzip2-devel >= 1.0.5   
BuildRequires:  perl-interpreter perl(:VERSION) >= 5.8.1
BuildRequires:  perl(Config) perl(File::Copy) perl(File::Spec) 
BuildRequires:  perl(File::Spec::Functions) perl(strict)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76  
BuildRequires:  perl(AutoLoader) perl(Carp) perl(Exporter) 
BuildRequires:  perl(XSLoader) perl(constant) >= 1.04 
BuildRequires:  perl(Fcntl) perl(Getopt::Std) perl(warnings) 
BuildRequires:  perl(Cwd) perl(Test::More)
Requires:       perl(constant) >= 1.04

%{?perl_default_filter}
%global __requires_exclude ^perl\\(constant\\)$

%description
The Compress::Bzip2 module provides a Perl interface to the Bzip2 compression
library. A relevant subset of the functionality provided by Bzip2 is available
in Compress::Bzip2. Compress::Bzip2 is not well integrated into PerlIO, use
the preferred IO::Compress::Bzip2 instead.

%prep
%autosetup -n Compress-Bzip2-%{version}

find bzlib-src -mindepth 1 -type f \! -name 'sample*' -delete
perl -i -ne 'print $_ unless m{^bzlib-src/}' MANIFEST
find bzlib-src -type f >>MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license COPYING
%doc ANNOUNCE Changes NEWS README.md
%{perl_vendorarch}/Compress/
%{perl_vendorarch}/auto/Compress/
%{_mandir}/man3/*.3pm*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.28-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.28-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.28-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.28-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.28-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.28-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 17 2022 Wang Zhe <bessiewang@tencent.com> - 2.28-1
- initial build
